<?php
include 'config.php'; // Include configurația bazei de date

// Începeți sesiunea dacă nu este deja începută
session_start();

// Verificăm dacă cererea este de tip POST
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Obținem datele trimise prin POST
    $data = json_decode(file_get_contents('php://input'), true);

    // Debugging: Afișăm datele primite pentru a verifica dacă sunt complete
    error_log(print_r($data, true));

    // Verificăm dacă datele sunt valide
    if (isset($data['id'], $data['name'], $data['fiber_density'], $data['flock_density'], $data['wood_density'])) {
        $id = intval($data['id']);
        $name = trim($data['name']);
        $fiber_density = isset($data['fiber_density']) && $data['fiber_density'] !== '' ? $data['fiber_density'] : null;
        $flock_density = isset($data['flock_density']) && $data['flock_density'] !== '' ? $data['flock_density'] : null;
        $wood_density = isset($data['wood_density']) && $data['wood_density'] !== '' ? $data['wood_density'] : null;

        // Validare simplă
        if (!empty($name)) {
            // Pregătește și execută interogarea de actualizare
            if ($stmt = $conn->prepare("UPDATE work_types SET name = ?, fiber_density = ?, flock_density = ?, wood_density = ? WHERE id = ?")) {
                $stmt->bind_param("sdddi", $name, $fiber_density, $flock_density, $wood_density, $id);

                if ($stmt->execute()) {
                    echo json_encode(['success' => true]);
                } else {
                    echo json_encode(['success' => false, 'error' => 'Eroare: ' . $stmt->error]);
                }

                $stmt->close();
            } else {
                echo json_encode(['success' => false, 'error' => 'Eroare: ' . $conn->error]);
            }
        } else {
            echo json_encode(['success' => false, 'error' => 'Date incomplete']);
        }
    } else {
        echo json_encode(['success' => false, 'error' => 'Date incomplete']);
    }
} else {
    echo json_encode(['success' => false, 'error' => 'Metodă de cerere neacceptată']);
}

$conn->close();
?>
